all: compile_all
test: compile_all run_all
test_time_utils: compile_time_utils run_time_utils

compile_all: compile_math_utils compile_time_utils

compile_time_utils:
	gcc -Wall -g3 ../time_utils.c time_utils_test.c -I ../ -lm -o time_utils_test

run_all: run_time_utils

run_time_utils:
	./time_utils_test